MilterManagerControlCommandDecoder
3
milter managerライブラリ

# MilterManagerControlCommandDecoder

## Functions

GQuark | milter_manager_control_command_decoder_error_quark ()
MilterDecoder * | milter_manager_control_command_decoder_new ()

## シグナル

void | get-configuration | Run Last
void | get-status | Run Last
void | reload | Run Last
void | set-configuration | Run Last
void | stop-child | Run Last

## Types and Values

#define | MILTER_MANAGER_CONTROL_COMMAND_DECODER_ERROR
enum | MilterManagerControlCommandDecoderError
struct | MilterManagerControlCommandDecoder
struct | MilterManagerControlCommandDecoderClass

## オブジェクト階層

        GEnum
        ╰── MilterManagerControlCommandDecoderError
        GObject
        ╰── MilterDecoder
            ╰── MilterManagerControlCommandDecoder

## 説明

## Functions

### milter_manager_control_command_decoder_error_quark ()

    GQuark
    milter_manager_control_command_decoder_error_quark
                                   (void);

### milter_manager_control_command_decoder_new ()

    MilterDecoder *
    milter_manager_control_command_decoder_new
                                   (void);

## Types and Values

### MILTER_MANAGER_CONTROL_COMMAND_DECODER_ERROR

    #define MILTER_MANAGER_CONTROL_COMMAND_DECODER_ERROR           (milter_manager_control_command_decoder_error_quark())

### enum MilterManagerControlCommandDecoderError

#### Members

MILTER_MANAGER_CONTROL_COMMAND_DECODER_ERROR_UNEXPECTED_COMMAND |  |

### struct MilterManagerControlCommandDecoder

    struct MilterManagerControlCommandDecoder;

### struct MilterManagerControlCommandDecoderClass

    struct MilterManagerControlCommandDecoderClass {
        MilterDecoderClass parent_class;

        void (*set_configuration)    (MilterManagerControlCommandDecoder *decoder,
                                      const gchar *configuration,
                                      gsize size);
        void (*get_configuration)    (MilterManagerControlCommandDecoder *decoder);
        void (*reload)               (MilterManagerControlCommandDecoder *decoder);
        void (*stop_child)           (MilterManagerControlCommandDecoder *decoder,
                                      const gchar *name);
        void (*get_status)           (MilterManagerControlCommandDecoder *decoder);
    };

## シグナル詳細

### The `“get-configuration”` signal

    void
    user_function (MilterManagerControlCommandDecoder *miltermanagercontrolcommanddecoder,
                   gpointer                            user_data)

Flags: Run Last

### The `“get-status”` signal

    void
    user_function (MilterManagerControlCommandDecoder *miltermanagercontrolcommanddecoder,
                   gpointer                            user_data)

Flags: Run Last

### The `“reload”` signal

    void
    user_function (MilterManagerControlCommandDecoder *miltermanagercontrolcommanddecoder,
                   gpointer                            user_data)

Flags: Run Last

### The `“set-configuration”` signal

    void
    user_function (MilterManagerControlCommandDecoder *miltermanagercontrolcommanddecoder,
                   gchar                              *arg1,
                   guint64                             arg2,
                   gpointer                            user_data)

Flags: Run Last

### The `“stop-child”` signal

    void
    user_function (MilterManagerControlCommandDecoder *miltermanagercontrolcommanddecoder,
                   gchar                              *arg1,
                   gpointer                            user_data)

Flags: Run Last